MOD_TIMER_PENDING(9)

NAME
mod_timer_pending - modify a pending timer's timeout

SYNOPSIS

int mod_timer_pending(struct timer_list * timer, unsigned long expires);

ARGUMENTS

timer
    the pending timer to be modified

expires
    new timeout in jiffies

DESCRIPTION

mod_timer_pending is the same for pending timers as mod_timer, but will not re-activate and modify already deleted timers.

It is useful for unserialized use of timers.

COPYRIGHT